---
- name: set homepage
  lineinfile:
    dest: /etc/firefox-esr/firefox-esr.js
    line: pref("browser.startup.homepage", "https://www.startpage.com");

    #- name: set capabilities (wireshark)
    #capabilities:
    #path: /usr/bin/dumpcap
    #capability: cap_net_raw,cap_net_admin+eip
    #state: present


############## extra data partition ###############
#- name: all devices
#  set_fact:
#    all_devices: "{{ ansible_devices.keys() | select('match', '^sd(.*)$|^nv(.*)$') | list | sort }}"
#
#- name: mount data partition
#  mount:
#    src: "UUID={{ hostvars[inventory_hostname]['ansible_devices'][all_devices[-1]]['partitions']['%s1'|format(item)]['uuid'] }}"
#    path: /home/data
#    fstype: ext4
#    state: mounted
#  register: data_mounted
#  when: all_devices | length > 1 
#
#- name: set sticky bit on data directory
#  file:
#    path: /home/data
#    state: directory
#    mode: '1777'
#  when: data_mounted.changed

################# from kiosk.yml ##################
- name: grub timeout
  lineinfile:
    dest: /etc/default/grub
    regexp: '^(GRUB_TIMEOUT=).*'
    line: '\g<1>1'
    backrefs: yes
  notify: update grub

- name: keyboard compose key
  lineinfile:
    dest: /etc/default/keyboard
    regexp: '^(XKBOPTIONS=).*'
    line: '\1"compose:caps"'
    backrefs: yes

- name: tmp on tmpfs
  shell: cp /usr/share/systemd/tmp.mount /etc/systemd/system/
  args:
    creates: /etc/systemd/system/tmp.mount
  notify: enable tmp.mount

## make sure gnome keyring-daemon is not started on sshfs:
- name: disable gnome keyring-daemon
  command: dpkg-divert --divert /usr/bin/gnome-keyring-daemon.bak --rename /usr/bin/gnome-keyring-daemon
  args:
    creates: /usr/bin/gnome-keyring-daemon.bak
